package main

import (
	_ "oc-catalog/routers"

	oclib "cloud.o-forge.io/core/oc-lib"
	"cloud.o-forge.io/core/oc-lib/tools"
	beego "github.com/beego/beego/v2/server/web"
	"github.com/goraz/onion"
)

const defaultConfigFile = "/etc/oc/catalog.json"

func main() {
	configFile := ""
	var o *onion.Onion
	l3 := onion.NewEnvLayerPrefix("_", "OCCATALOG_")
	l2, err := onion.NewFileLayer(defaultConfigFile, nil)
	if err == nil {
		configFile = defaultConfigFile
	}
	if configFile == "" || l2 == nil {
		o = onion.New(l3)
	} else {
		o = onion.New(l2, l3)
	}
	tools.SetConfig(
		o.GetStringDefault("MONGO_URL", "mongodb://127.0.0.1:27017"),
		o.GetStringDefault("MONGO_DATABASE", "DC_myDC"),
		"",
	)
	// Init OC with hostname and port for discovery purpose
	oclib.Init("oc-catalog", o.GetStringDefault("HOSTNAME", "localhost"), o.GetStringDefault("PORT", "8088"))
	// Normal beego init
	//if beego.BConfig.RunMode == "dev" {
	beego.BConfig.WebConfig.DirectoryIndex = true
	beego.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	//}
	beego.Run()
}
